package com.hc.business.service.impl;

import com.hc.business.dto.UserListDto;
import com.hc.business.dto.UserProgressDto;
import com.hc.business.dto.UserScoreDto;
import com.hc.business.mapper.UserMapper;
import com.hc.business.service.ToolsService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户表(User)表服务实现类
 *
 * @author java
 * @since 2020-11-09 10:04:14
 */

@Service("toolsService")
public class ToolsServiceImpl implements ToolsService {

    private final UserMapper userMapper;


    public ToolsServiceImpl(UserMapper userMapper) {
        this.userMapper = userMapper;
    }



    /**
     * 获取报名专家列表
     *
     *
     * @return 实例对象数组
     */
    @Override
    public List<UserListDto> getClassUserList(Integer id){
        return userMapper.queryClassUserList(id);
    }

    @Override
    public List<UserScoreDto> getClassScoreList(Integer id){
        return userMapper.queryClassScoreList(id);
    }

    @Override
    public List<UserProgressDto> getClassProgress(Integer id){
        return userMapper.queryClassProgress(id);
    }


}